# -*- coding: utf-8 -*-
"""
Created on Thu Apr 22 19:24:13 2021

@author: R.Sechi
"""
import numpy as np
import matplotlib.pyplot as plt 
import scipy.io 

#%% load files as dictionaries
M_dict = scipy.io.loadmat('Mtilde.mat')
K_dict = scipy.io.loadmat('K.mat')
H_dict = scipy.io.loadmat('H.mat')
W_dict = scipy.io.loadmat('W.mat')
N_dict = scipy.io.loadmat('N.mat')
f_dict = scipy.io.loadmat('f.mat')
tspan_dict = scipy.io.loadmat('tspan.mat')
#%% select only the data from the dictionaries
M = M_dict['Mtilde']
K = K_dict['K']
H = H_dict['H']
W = W_dict['W']
N = N_dict['N']
f = f_dict['f']
tspan = tspan_dict['tspan']
#%%
#save as text file
np.savetxt("M.txt",M)
np.savetxt("K.txt",K)
np.savetxt("f.txt",f)
np.savetxt("W.txt",W)
np.savetxt("N.txt",N)
np.savetxt("H.txt",H)
np.savetxt("tspan.txt",tspan)
