function H = compute_exact_kinetic(tspan, K)
% Compute kinetic according to given reation coefficients K.
% NOTE:  It is implicitly assumed that there is exactly *one* educt,
% represented by the first column of K.

y0 = [1,0,0,0,0]';

odefun = @(t,y) K*y;
[~,H] = ode45(odefun, tspan, y0);

end